View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
11660Feature requestsTheme editorpublic2020-06-25 15:36
ReporterDenisChenu Assigned To 
PrioritynoneSeverityfeature 
Status closedResolutionwon't fix 
Summary11660: Adding number of colmun in table of question class
Description

We have the number of column in php : why not adding it to table.question ?

And maybe the answer-width too .

Additional Information

Then some user can deactivate no-more-tables if array have 2 column (for example).

ANd really hide the 1st column if answer width is set to 0 (no extra padding)

Tagsanswers_html
Bug heat6

Relationships

related to 11898 closedDenisChenu Feature requests Add 0/hidden for label/answer width : to hide it 
related to 11899 closed Feature requests Default template : add a solution for 'table-forced' table in little screen 
related to 11864 closedDenisChenu Bug reports Control width when there are suffix 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2016-10-04 10:20

updater   ~41070

A really great idea!

DenisChenu

DenisChenu

2016-10-04 12:41

developer   ~41084

ls-col-number-X ?
and ls-answer-width-X ?

Mazi

Mazi

2016-10-04 13:37

updater   ~41096

Yep, something like that.

tammo

tammo

2016-10-04 14:01

partner   ~41099

Great idea, but do you mean X in pixels in ls-answer-width-X? Because then it will be more difficult to target with css?

tammo

tammo

2016-10-04 14:03

partner   ~41100

Idea: make it possible to align right/left for subquestion. Left alignment is great for longer (multiline) subquestions, but for very short subquestions right alignment may be better...

DenisChenu

DenisChenu

2016-10-04 14:46

developer   ~41106

@tammo : different question, can be done in template.css eventually using a scecific css class in wrapper.

DenisChenu

DenisChenu

2016-11-14 11:10

developer   ~41871

Maybe more 2 feature here:
1 : https://bugs.limesurvey.org/view.php?id=11898
2 : Just add a specific class : seem more easy for starting. After we can add column number : col-number-answers / col-number-extra / col-number-questoin ... etc a lot of column type .... Easy for some part, mùore difficult for other .....

DenisChenu

DenisChenu

2020-06-25 15:36

developer   ~58468

More easy in plugin

Issue History

Date Modified Username Field Change
2016-09-16 14:29 DenisChenu New Issue
2016-09-16 14:29 DenisChenu Tag Attached: answers_html
2016-10-04 10:20 Mazi Note Added: 41070
2016-10-04 12:41 DenisChenu Note Added: 41084
2016-10-04 13:37 Mazi Note Added: 41096
2016-10-04 14:01 tammo Note Added: 41099
2016-10-04 14:03 tammo Note Added: 41100
2016-10-04 14:46 DenisChenu Note Added: 41106
2016-10-14 11:06 DenisChenu Product Version => 3.0
2016-11-01 01:03 DenisChenu Assigned To => DenisChenu
2016-11-01 01:03 DenisChenu Status new => assigned
2016-11-04 01:23 DenisChenu Relationship added related to 11864
2016-11-14 11:07 DenisChenu Relationship added related to 11898
2016-11-14 11:10 DenisChenu Note Added: 41871
2016-11-14 11:20 DenisChenu Relationship added related to 11899
2020-06-25 15:36 DenisChenu Assigned To DenisChenu =>
2020-06-25 15:36 DenisChenu Status assigned => closed
2020-06-25 15:36 DenisChenu Resolution open => won't fix
2020-06-25 15:36 DenisChenu Note Added: 58468